Upstream information

CVE-2015-2924 at MITRE

Description

The receive_ra function in rdisc/nm-lndp-rdisc.c in the Neighbor Discovery (ND) protocol implementation in the IPv6 stack in NetworkManager 1.x allows remote attackers to reconfigure a hop-limit setting via a small hop_limit value in a Router Advertisement (RA) message, a similar issue to CVE-2015-2922.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.3
Vector AV:A/AC:L/Au:N/C:N/I:N/A:P
Access Vector Adjacent Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 926223 [NEW]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • NetworkManager >= 1.0.12-8.6
  • NetworkManager-lang >= 1.0.12-8.6
  • libnm-glib-vpn1 >= 1.0.12-8.6
  • libnm-glib4 >= 1.0.12-8.6
  • libnm-util2 >= 1.0.12-8.6
  • libnm0 >= 1.0.12-8.6
  • typelib-1_0-NM-1_0 >= 1.0.12-8.6
  • typelib-1_0-NMClient-1_0 >= 1.0.12-8.6
  • typelib-1_0-NetworkManager-1_0 >= 1.0.12-8.6
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA NetworkManager
SUSE Linux Enterprise Desktop 12 SP3
  • NetworkManager >= 1.0.12-12.4
  • NetworkManager-lang >= 1.0.12-12.4
  • libnm-glib-vpn1 >= 1.0.12-12.4
  • libnm-glib4 >= 1.0.12-12.4
  • libnm-util2 >= 1.0.12-12.4
  • libnm0 >= 1.0.12-12.4
  • typelib-1_0-NM-1_0 >= 1.0.12-12.4
  • typelib-1_0-NMClient-1_0 >= 1.0.12-12.4
  • typelib-1_0-NetworkManager-1_0 >= 1.0.12-12.4
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA NetworkManager
SUSE Linux Enterprise Module for Basesystem 15
  • libnm0 >= 1.10.6-3.16
  • typelib-1_0-NM-1_0 >= 1.10.6-3.16
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libnm0
SUSE Linux Enterprise Module for Desktop Applications 15
  • NetworkManager >= 1.10.6-3.16
  • NetworkManager-devel >= 1.10.6-3.16
  • libnm-glib-vpn1 >= 1.10.6-3.16
  • libnm-glib4 >= 1.10.6-3.16
  • libnm-util2 >= 1.10.6-3.16
  • typelib-1_0-NMClient-1_0 >= 1.10.6-3.16
  • typelib-1_0-NetworkManager-1_0 >= 1.10.6-3.16
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA NetworkManager
SUSE Linux Enterprise Server 12 SP2
  • libnm-glib-vpn1 >= 1.0.12-8.6
  • libnm-glib4 >= 1.0.12-8.6
  • libnm-util2 >= 1.0.12-8.6
  • libnm0 >= 1.0.12-8.6
  • typelib-1_0-NMClient-1_0 >= 1.0.12-8.6
  • typelib-1_0-NetworkManager-1_0 >= 1.0.12-8.6
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libnm-glib-vpn1
SUSE Linux Enterprise Server 12 SP3
  • libnm-glib-vpn1 >= 1.0.12-12.4
  • libnm-glib4 >= 1.0.12-12.4
  • libnm-util2 >= 1.0.12-12.4
  • libnm0 >= 1.0.12-12.4
  • typelib-1_0-NMClient-1_0 >= 1.0.12-12.4
  • typelib-1_0-NetworkManager-1_0 >= 1.0.12-12.4
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libnm-glib-vpn1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libnm-glib-vpn1 >= 1.0.12-8.6
  • libnm-glib4 >= 1.0.12-8.6
  • libnm-util2 >= 1.0.12-8.6
  • libnm0 >= 1.0.12-8.6
  • typelib-1_0-NMClient-1_0 >= 1.0.12-8.6
  • typelib-1_0-NetworkManager-1_0 >= 1.0.12-8.6
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libnm-glib-vpn1
SUSE Linux Enterprise Software Development Kit 12 SP2
  • NetworkManager-devel >= 1.0.12-8.6
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA NetworkManager-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • NetworkManager >= 1.0.12-12.4
  • NetworkManager-devel >= 1.0.12-12.4
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA NetworkManager
SUSE Linux Enterprise Workstation Extension 12 SP2
  • NetworkManager >= 1.0.12-8.6
  • NetworkManager-lang >= 1.0.12-8.6
  • typelib-1_0-NM-1_0 >= 1.0.12-8.6
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA NetworkManager
SUSE Linux Enterprise Workstation Extension 12 SP3
  • NetworkManager >= 1.0.12-12.4
  • NetworkManager-lang >= 1.0.12-12.4
  • typelib-1_0-NM-1_0 >= 1.0.12-12.4
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA NetworkManager
SUSE Linux Enterprise Workstation Extension 15
  • NetworkManager-lang >= 1.10.6-3.16
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 GA NetworkManager-lang
openSUSE Leap 15.0
  • NetworkManager >= 1.10.6-lp150.3.1
  • NetworkManager-lang >= 1.10.6-lp150.3.1
  • libnm-glib-vpn1 >= 1.10.6-lp150.3.1
  • libnm-glib4 >= 1.10.6-lp150.3.1
  • libnm-util2 >= 1.10.6-lp150.3.1
  • libnm0 >= 1.10.6-lp150.3.1
  • typelib-1_0-NM-1_0 >= 1.10.6-lp150.3.1
  • typelib-1_0-NMClient-1_0 >= 1.10.6-lp150.3.1
  • typelib-1_0-NetworkManager-1_0 >= 1.10.6-lp150.3.1
Patchnames:
openSUSE Leap 15.0 GA NetworkManager
openSUSE Leap 42.1
  • NetworkManager >= 1.0.6-1.2
  • NetworkManager-devel >= 1.0.6-1.2
  • NetworkManager-lang >= 1.0.6-1.2
  • libnm-glib-vpn1 >= 1.0.6-1.2
  • libnm-glib4 >= 1.0.6-1.2
  • libnm-util2 >= 1.0.6-1.2
  • libnm0 >= 1.0.6-1.2
  • typelib-1_0-NM-1_0 >= 1.0.6-1.2
  • typelib-1_0-NMClient-1_0 >= 1.0.6-1.2
  • typelib-1_0-NetworkManager-1_0 >= 1.0.6-1.2
Patchnames:
openSUSE Leap 42.1 GA NetworkManager
openSUSE Leap 42.2
  • NetworkManager >= 1.0.12-3.2
  • NetworkManager-devel >= 1.0.12-3.2
  • NetworkManager-lang >= 1.0.12-3.2
  • libnm-glib-vpn1 >= 1.0.12-3.2
  • libnm-glib4 >= 1.0.12-3.2
  • libnm-util2 >= 1.0.12-3.2
  • libnm0 >= 1.0.12-3.2
  • typelib-1_0-NM-1_0 >= 1.0.12-3.2
  • typelib-1_0-NMClient-1_0 >= 1.0.12-3.2
  • typelib-1_0-NetworkManager-1_0 >= 1.0.12-3.2
Patchnames:
openSUSE Leap 42.2 GA NetworkManager
openSUSE Leap 42.3
  • NetworkManager >= 1.0.12-6.5
  • NetworkManager-devel >= 1.0.12-6.5
  • NetworkManager-lang >= 1.0.12-6.5
  • libnm-glib-vpn1 >= 1.0.12-6.5
  • libnm-glib4 >= 1.0.12-6.5
  • libnm-util2 >= 1.0.12-6.5
  • libnm0 >= 1.0.12-6.5
  • typelib-1_0-NM-1_0 >= 1.0.12-6.5
  • typelib-1_0-NMClient-1_0 >= 1.0.12-6.5
  • typelib-1_0-NetworkManager-1_0 >= 1.0.12-6.5
Patchnames:
openSUSE Leap 42.3 GA NetworkManager
openSUSE Tumbleweed
  • NetworkManager >= 1.4.2-1.2
  • NetworkManager-branding-upstream >= 1.4.2-1.2
  • NetworkManager-devel >= 1.4.2-1.2
  • NetworkManager-devel-32bit >= 1.4.2-1.2
  • NetworkManager-lang >= 1.4.2-1.2
  • libnm-glib-vpn1 >= 1.4.2-1.2
  • libnm-glib-vpn1-32bit >= 1.4.2-1.2
  • libnm-glib4 >= 1.4.2-1.2
  • libnm-glib4-32bit >= 1.4.2-1.2
  • libnm-util2 >= 1.4.2-1.2
  • libnm-util2-32bit >= 1.4.2-1.2
  • libnm0 >= 1.4.2-1.2
  • typelib-1_0-NM-1_0 >= 1.4.2-1.2
  • typelib-1_0-NMClient-1_0 >= 1.4.2-1.2
  • typelib-1_0-NetworkManager-1_0 >= 1.4.2-1.2
Patchnames:
openSUSE Tumbleweed GA NetworkManager


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP3 NetworkManager Affected
SUSE Linux Enterprise Desktop 12 GA NetworkManager Affected
SUSE Linux Enterprise SDK 11 SP3 NetworkManager Affected
SUSE Linux Enterprise SDK 12 GA NetworkManager Affected
SUSE Linux Enterprise Server 11 SP3 NetworkManager Affected
SUSE Linux Enterprise Server 12 GA NetworkManager Affected
SUSE Linux Enterprise Server for VMWare 11 SP3 NetworkManager Affected